/VIDEO/kling-4.0-flash
视频
Kling

Kling 4.0 Flash API

Generate 3–20 second 720p videos with native audio from text, a first frame or image and video references.

  • 文本转视频
  • 图像转视频

起价

$0.134

每秒输出

7 个参数 · 2 种价格选项

Kling 4.0 Flash API 价格

选项每秒价格
Resolution: 720p · Source Video: no$0.134
Resolution: 720p · Source Video: yes$0.09
1curl -X POST https://api.api-stock.com/api/v1/generation/create \
2 -H "Authorization: Bearer $API_STOCK_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "model": "kling-4.0-flash",
6 "input": {
7 "prompt": "黄昏时分城市的电影感镜头",
8 "duration": 5,
9 "resolution": "720p",
10 "aspectRatio": "16:9"
11 }
12 }'

参数

名称类型必填默认值描述
promptstring是—Describe the video. Address references as @image_1 or @video_1. Up to 2500 characters on the current route.
durationnumber否5Output duration in seconds, 3–20
resolutionstring否720pFlash outputs 720p only以下之一:720p
aspectRatiostring否16:9Output aspect ratio. auto adapts to reference media and requires an image or video.以下之一:16:9, 9:16, 1:1, 21:9, auto
startFrameUrlstring否—Optional first frame. Counts toward the total of 10 image references. End frames are unavailable.
imageUrlsstring[]否—Reference images, up to 10 including startFrameUrl. The first frame, when supplied, is @image_1.
videoUrlsstring[]否—Feature-reference videos, up to 5. Each must be 3–20 seconds; combined input duration must not exceed 20 seconds. Probed before charging. With video, billable seconds = output + max(total input, output). Editing is unavailable.

常见问题

Kling 4.0 Flash 的费用是多少?

Kling 4.0 Flash 通过 API Stock API 的起价为 $0.134 每秒输出。您按使用量从单个预付余额中支付——无需订阅——最终价格会根据分辨率或时长等参数浮动。

Kling 4.0 Flash 是什么时候发布的?

Kling 4.0 Flash 于 2026年11月12日 发布。它可以通过 API Stock API 使用,与其他所有模型共用同一个 API 密钥和预付余额。

如何获取 Kling 4.0 Flash 的 API 密钥?

注册 API Stock 账号,使用可用的付款方式充值,然后在控制台创建 API 密钥即可,整个过程只需几分钟,无需签订合同。同一个密钥可调用目录中的所有模型,因此无需为 Kling 4.0 Flash 单独申请密钥。

如何调用 Kling 4.0 Flash API?

向 https://api.api-stock.com/api/v1/generation/create 发送 POST 请求,并附上您的 API 密钥和模型 ID "kling-4.0-flash"。请求会返回一个任务 ID,您可以轮询该 ID;或者在结果准备就绪时通过 webhook 回调通知。上方的快速开始部分提供了一个可直接运行的示例。

Kling 4.0 Flash 接受哪些输入参数?

Kling 4.0 Flash 接受 7 个输入参数, 包括必填字段 prompt。参数表中列出了它们的类型、默认值和允许值。

如果 Kling 4.0 Flash 请求失败,会发生什么?

API Stock 会自动通过备用提供商重试请求。如果所有提供商均失败,费用将退还至您的余额。

我可以使用与其他模型相同的 API 密钥来调用 Kling 4.0 Flash 吗?

可以。API Stock 上的每个模型——视频、图像、音乐和聊天——共享一个 API 密钥和一个预付余额,因此您无需新的凭据即可切换到 Kling 4.0 Flash。